Subject: bug#35624: log-view-diff regression

From: Juri Linkov <[email-masked]>
Date: Tue, 21 May 2019 23:12:14 +0300

> One alternative which I have already mentioned is to make a different
> command handle this. E.g. 'C-u d' might diff workfile and the revision at
> point. This actually seems faster that go to bob and create the
> necessary region.

This is not self-evident and not WYSIWYG as the visual region selection is.

> For the main purpose of the log buffer, the empty first line is weird
> (saying "working revision" would be just as weird).

vc-rcs and vc-cvs inserts 12-lines long header in the log buffer
and no one complained for several decades :)

OTOH, when recently Android developers changed the position of the clock
from the right side of the screen to the left, billions of users silently
adapted their habits to the new position without protests :(

> I could maybe live with it if were 1-character tall (and in a terminal,
> maybe invisible until you move point to it)

It's already 1-character tall.

But it you meant 1-pixel tall, then I agree it's a good idea
(like 1-pixel line is already used in log-edit.el):

diff --git a/lisp/vc/vc-git.el b/lisp/vc/vc-git.el
index b6feb3b8d1..238b04929b 100644
--- a/lisp/vc/vc-git.el
+++ b/lisp/vc/vc-git.el
@@ -1018,7 +1018,7 @@ vc-git-print-log
     ;; read-only.
     (let ((inhibit-read-only t))
       (with-current-buffer buffer
-	(insert "\n")
+	(insert (propertize "\n" 'font-lock-face '(:height 0.1)))
 	(apply 'vc-git-command buffer
 	       'async files
 	       (append